Subject: Re: bug#28630: 27.0.50; C-g while a non-main thread is sitting crashes Emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Oct 2017 19:35:57 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Tue, 03 Oct 2017 16:22:56 +0000
> Cc: [email-masked], [email-masked], [email-masked], 
> 	[email-masked]
> 
>  > Since no released version of Emacs has thread support, I'm not surprised that they aren't widely used
>  yet.
> 
>  Well, I am, because Reddit, for example, is full of people who say
>  they use Emacs 26.
> 
> I guess there's a huge selection bias at play. Most users typically use whatever version their OS distributor
> provides, and that's often not even Emacs 25. Libraries tend to support 24.x as well, and therefore can't use
> threads until they drop compatibility with both 24.x and 25.x. 

We are talking about developers, not users.  And newer versions can be
supported by using the relevant version-comparison stuff.